%------------------------------------------------------------------------
% Routine         	: circfit
%
% Description     	: find circle that best fits a set of data                                                   %
% Language        	: Matlab 4.0 
% Originator, date	: SH, 03.12.93            
% Modified by		:
% Modification date	:            
% Version no.     	: 1.0
% Called by       	: rectangular 
% Routines called 	: none
%------------------------------------------------------------------------

function sqsum = circfit(par, x, y)

r = par(1);
y0 = par(2);
circ = r + y0 -sqrt(r^2 - x.^2);
sqsum = sum((y-circ).^2);
return

  

