%------------------------------------------------------------------------------
% Routine	      : pre3mdB.m
% Description	      : plot-function
% Language	      : MATLAB
% Written by	      : Vebjorn Berre
% Version no.	      : 2.0/3.0
% Date		      : 5/10-92
% Revised	      : 15/10-92 by VEB
% Called by	      : present
% Routines called     :	none
%------------------------------------------------------------------------------

function Y=pre3dB(x1,x2,freqresp)

freqlog=10*log(freqresp);

axis([1 2 3 4]);axis;

dim=size(freqresp);
freqresp3=fliplr(freqresp);
freqresp3=freqresp3(:,1:dim(1)-1);
freqresp4=freqresp;
freqresp1=flipud(freqresp3);
freqresp1=freqresp1(1:dim(2)-1,:);
freqresp2=flipud(freqresp4);
freqresp2=freqresp2(1:dim(2)-1,:);
freqresp=[freqresp1 freqresp2; freqresp3 freqresp4];

x3=[-fliplr(x1) x1];
x4=[-fliplr(x2) x2];
v=[.001 .01 .1 .5 .9];

subplot(221),contour(freqresp,v)
xlabel('x1')
ylabel('x2');
subplot(222),mesh(freqresp);

forliten=find(freqlog<-100);
freqlog(forliten)=-100*ones(forliten);

RX1=freqlog(1,:);
RX2=freqlog(:,1);

subplot(223),plot(x1',RX1) 
xlabel('x1');ylabel('[dB]')
subplot(224),plot(x2,RX2)
xlabel('x2');ylabel('[dB]')




