%------------------------------------------------------------------------------
% Routine     : present.m
% Description : Radiation from curved array.
%	        Plot spesifications.
% Language    : Matlab 4.1
% Written by  : Vebjorn Berre
%
% Version no. : 1.0 VEB 15.10.92
% Version no. : 3.0 VEB 08.12.92
% Version no. : 3.1 TKL 14.09.93
%
% Called by   : apusim
% Calling     : usimpadd, temp2d
%------------------------------------------------------------------------------

set(0,'currentfigure',plotfig);
subplot(1,1,1);
dimtmp=size(I_c);
usimpadd(plotobj70,'pressure_c','u_x','u_y','u_z','I_c');

if dimtmp(1)==dimtmp(2) & dimtmp>4
	temp2d(x,y,abs(pressure_c));
else
	if x(3)==0 & y(3)==0 
		akse=z;
	elseif x(3)==0 
		akse=y;
	elseif y(3)==0 
		akse=x;
	else 
		akse=[1:1:length(I_c)];
	end

	if flagg(4)==0
		plot(akse,abs(I_c));
	else
		plot(akse,10*log10(abs(I_c)))
	end	
end



