%------------------------------------------------------------------------
% Routine         	: nusimtxt
%
% Description     	: Optimization of number of elements in annular array,
%				txt-file.
% Language        	: Matlab 4.0 
% Originator, date	: Espen Iveland, 29/6-93
% Modified by		: 
% Version no.     	: 1.0          
% Called by       	: nusim
%------------------------------------------------------------------------

fprintf(fid,'\t\t-------        OPTIMIZATION SUBMENU        --------- \n');
fprintf(fid,'\t\t-------           ANNULAR  ARRAY           --------- \n');
fprintf(fid,'\t\t------- Optimization of number of elements --------- \n');
fprintf(fid,['\t\t\t    (lambda_local = ',num2str(lambda_local),' mm )\n']);
fprintf(fid,'\n');
fprintf(fid,['4) Max transducer aperture\t Dmax \t = %7.2f mm = %7.2f lambda \n'],transducer(4)*1e3,transducer(4)/lambda);
fprintf(fid,'5) F-near \t\t\t Fn \t = %7.2f mm = %7.2f lambda \n',transducer(5)*1e3,transducer(5)/lambda);
fprintf(fid,'6) F-far \t\t\t Ff \t = %7.2f mm = %7.2f lambda \n',transducer(6)*1e3,transducer(6)/lambda);



