%------------------------------------------------------------------------
% Routine     : changes.m
%
% Description : menu for changing the parameters used to describe
%                   a function in a layered model
%
% Language    : Matlab 4.1
% Written by  : Vebjorn Berre
%
% Version no. : 1.0 VEB
% Version no. : 1.5 FT  07.01.94 input arg s1 is now a string
%
% Called by   : musim
% Calling     : none
%------------------------------------------------------------------------


function y = changes(s0,s1,s2,s3,s4,s5,s6,s7,s8,s9,s10,s11,s12,s13,s14,s15,s16)

fid = 1;
in=eval(['s',int2str(nargin-1)]);
com=1;

while com~=0
	disp(' ')
	disp(['----- ',s0,' -----'])
	disp(' ')
	fprintf(fid,s1);
	disp(' ');
	disp(' z is the depth-direction');
	disp(' ')

	for n=2:(nargin-2)
		disp([int2str(n-1),') ',eval(['s',int2str(n)]),'  =  ',num2str(in(n-1))]) 
	end 
	disp(' ')
	disp('	EXIT	= <CR>') 
	disp('	CHANGE 	= "number"')

	com = input('-> Decision (<CR> = exit): ');
	if isempty(com) com = 0; 
	else
		temp=input([eval(['s',int2str(com+1)]),' : ' ]);
		if isempty(temp) temp=in(com); end
		in(com)=temp;
	end
end

y=in;


