%------------------------------------------------------------------------
% Routine     : o2pusimtxt
%
% Description : Configuring observation-parameters LINE parametric
%               txt-file
%
% Language    : Matlab 4.1
% Written by  : Vebjorn Berre, IBT
%
% Version no. : 3.0 VEB 12.05.93
% Version no. : 3.1 TKL 07.09.93 corrected comments
%	      : 3.2 FT  19.01.94 Added ; after fprintf-statements
%
% Called by   : o2pusim
% Calling     : 
%------------------------------------------------------------------------


% observation-parameters submenu
txtcoordinates=['RECTANGULAR'];
fast=['xyzt'];

fprintf(fid,'\t\t-------      OBSERVATION SUBMENU      --------- \n');
 fprintf(fid,'\n');
 fprintf(fid,['1) Linetype/ Option	:  ', num2str(obstxt(option)),'  ',option,'\n']);
 fprintf(fid,['2) Coordinates	:  ', txtcoordinates,'\n']);
 fprintf(fid,['3) # pixels along one axis	:  ' num2str(observasjon(9)),'\n']);
 fprintf(fid,'\n');

 fprintf(fid,['16) Start point [mm/ms]	:  x=',  num2str(observasjon(1)*1e3),'  y=', num2str(observasjon(2)*1e3),'  z=', num2str(observasjon(3)*1e3),'  t=', num2str(observasjon(4)*1e3) ,'\n']);

 fprintf(fid,['16) End point [mm/ms]	:  x=',  num2str(observasjon(5)*1e3),'  y=', num2str(observasjon(6)*1e3),'  z=', num2str(observasjon(7)*1e3),'  t=', num2str(observasjon(8)*1e3) ,'\n']);

 fprintf(fid,['17) Parameters		:  a=',num2str(linjeparametre(1)),'  b=',num2str(linjeparametre(2)),'  c=',num2str(linjeparametre(3)),'  d=',num2str(linjeparametre(4)),'\n']);

 fprintf(fid,[lpartxt(option),'\n']);


 fprintf(fid,'\n');



