%------------------------------------------------------------------------
% Routine         	: setmap.m       
%
% Description     	: set colormap for transducer plot                                    %
% Language        	: Matlab 4.0 
% Originator, date	: Sverre Holm, VMS, 20. April 1993           
% Modified by		:
% Modification date	:            
% Version no.     	: 1.0
% Called by       	: uitrsd 
% Routines called 	: none %------------------------------------------------------------------------
 
val=get(hpop1,'Value');
if val == 1
	colormap(bone)
elseif val == 2
	colormap(gray)
elseif val == 3
	colormap(pink)
elseif val == 4
	colormap(copper)
elseif val == 5
	colormap(cool)
elseif val == 6
	colormap(hot)
elseif val == 7
	colormap(hsv)
elseif val == 8
	colormap(jet)
elseif val == 9
	colormap(prism)
elseif val == 10
	colormap(flag)
end
