%------------------------------------------------------------------------
% Routine     : usimdoc.m
%
% Description : M function for showing on-screen version of Ultrasim
%               User's Guide using either xdvi, ghostview or acroread
%              
% Language    : Matlab 4.0
% Written by  : Sverre Holm, IFI, 16.03.95
%               1.1 SH 17.03.95 ghostview version
%               1.2 SH 18.03.95 Test only 2 first letters of computer
%                               (otherwise won't work for SGI computers)
%               1.3 made script into function
%               1.4 SH  7.04.98 support for acrobat format (PDF)
%
% Called by   : usimcnf
% Calling     : Requires xdvi or ghostview
%------------------------------------------------------------------------
function usimdoc(doc_command, ULTRASIMHOME)
cc=computer;
%
% check that this is a UNIX computer
%
if cc(1:2) ~= 'PC' & cc(1:2) ~= 'MA',

  if doc_command(1:3) == '!gh'
    add = '.ps';
  elseif doc_command(1:3) == '!ac'
    add ='.pdf';
  else
    add= ' ';
  end
  
  temp = cd;
  eval(['cd ',ULTRASIMHOME,'/doc']);

  eval([doc_command,' ',ULTRASIMHOME,'/doc/userman',add,'&']);
  eval(['cd ',temp]);

else
  disp('On-line documentation not supported on this platform!')
end

clear cc;





