
% 
s=input('Have you saved your configuration in your CNF directory??? ','s');
if s~='y'
   fprintf('Please save the configurations and continue..\n');
else
   disp(['Available files in ',usr_cnfdir]);
   disp('  ');
   tmp_dir=pwd;
   eval(['cd ',usr_cnfdir]);
   eval(['dir *.cnf']);
   eval(['cd ',tmp_dir]);
   clear tmp_dir;
   cnff= input('-> File name : ','s');
   if isempty(findstr(cnff,'cnf'));
      cnff=[cnff,'.cnf'];
   end;
   cnff=[usr_cnfdir,separator,cnff];

   fn='';
   while ( isempty(fn))
      fn=input('Enter Job file Name : ','s');
      if exist(fn)
         fprintf('File Exists.');
         hm=input('Overwrite it?? [y/n] : ','s');
         if hm~='y'
            fn='';
         end
      end
   end
   qname=input('Enter Queue(TEST/PARALLEL) Name [t/p] : ','s');
   if qname=='p'
      qname='PARALLEL';
   else
      qname='TEST';
   end;
   fnid=fopen(fn,'w');
   fprintf(fnid,'#!/bin/ksh\n# @ input = /dev/null\n');
   fprintf(fnid,'# @ output = program.$(Cluster).$(Process).out\n');
   fprintf(fnid,'# @ error = program.$(Cluster).$(Process).err\n');
   fprintf(fnid,'# @ class = %s\n\n',qname);

   fprintf(fnid,'cd $HOME\n');
   fprintf(fnid,'pvm hostfile <<EOF\nquit\nEOF\n\n');
   fprintf(fnid,'cd $HOME/matlab\nmatlab <<EOF\nu \n');
   
   fprintf(fnid,'[excitation, observasjon, media, transducer, flagg, ...\n');
   fprintf(fnid,'option, x, y, z, t, elem_pts, centers, elecdelr, ...\n');
   fprintf(fnid,'elecdelt, comment, ...\n');
   fprintf(fnid,'pvec, plength, phase_err_ud, amp_ud, ...\n');
   fprintf(fnid,'array_resp, max_resp, min_resp]= ...\n');
   fprintf(fnid,'lusim(''%s'');\n',cnff);
   fprintf(fnid,'[resp,max_resp,min_resp]=');
   fprintf(fnid,'pecomp(excitation,transducer,media,observasjon, ...\n');
   fprintf(fnid,'option,flagg,x,y,z,t,elem_pts,centers,config, ...\n');
   fprintf(fnid,'plotfig,usr_resdir);\n');

   numproc=input('Enter number of node processes required [<=32] : ');
   if (numproc < 1)
      numproc=1;
   elseif (numproc >32)
      numproc=32;
   end;

   fprintf(fnid,'%d\n',numproc);
  
   if (flagg(1)==1) | (option(1) ~='m') | (option(1) ~='f')
      fprintf('Fixed focus and Not Movie.. No f-number needed\n');
   else
      fnum=input('Enter f-number for dynamic aperture control: ');
      fprintf(fnid,'%d\n',fnum);
   end
   fprintf(fnid,'save par_res array_resp max_resp min_resp\n');
   fprintf(fnid,'quit\nEOF\n\npvm <<EOF\nhalt\nEOF\n\n# @ queue\n');

   fclose(fnid);

   sbt=input('Submit now?? [y/n] : ','s');
   if sbt=='y'
      eval(['!llsubmit ',fn]);
      fprintf('Job Submitted\n');
   end
	
   
   
end
            