%------------------------------------------------------------------------
% Routine         : diffangle.m
%
% Description     : computes diff(angle(x)) taking care of 2 pi 
%		    shifts, so that they are not shown.
% Language        : Matlab syntax
% Written by      : Vebjorn Berre
% Version no.     : 1.0
% Date            : 10/12-92          
% Called by       : none
% Routines called : none
% Load files      : none
%------------------------------------------------------------------------

function Y=diffangle(x)

Y=diff(angle(x));
ind=find(Y>pi);
Y(ind)=Y(ind)-2*pi;
ind=find(Y<-pi);
Y(ind)=Y(ind)+2*pi;


