%------------------------------------------------------------------------------
% Routine	      : temp2d.m
% Description	      : plot-function 2D-plot
% Language	      : MATLAB
% Written by	      : Vebjorn Berre
% Version no.	      : 2.0/3.0
% Date		      : 5/10-92
% Revised	      : 17/2-93 by VEB
% Called by	      : present
% Routines called     :	none
%------------------------------------------------------------------------------

function Y=temp2d(x,y,f)

fdb=10*log(f);

dim=size(f);
f3=fliplr(f);
f3=f3(:,1:dim(1)-1);
f4=f;
f1=flipud(f3);
f1=f1(1:dim(2)-1,:);
f2=flipud(f4);
f2=f2(1:dim(2)-1,:);
f=[f1 f2; f3 f4];

x3=[-fliplr(x) x];
x4=[-fliplr(y) y];
v=[.001 .01 .1 .5 .9];

subplot(221),contour(f,v)
xlabel('x')
ylabel('y');
subplot(222),mesh(f);

forliten=find(fdb<-100);
fdb(forliten)=-100*ones(forliten);

RX=fdb(1,:);
RY=fdb(:,1);

subplot(223),plot(x',RX) 
xlabel('x');ylabel('[dB]')
subplot(224),plot(y,RY)
xlabel('y');ylabel('[dB]')




